DfsClientConf (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.client.impl, class: DfsClientConf

Package org.apache.hadoop.hdfs.client.impl

# Class DfsClientConf

java.lang.Object
org.apache.hadoop.hdfs.client.impl.DfsClientConf

public class DfsClientConf extends Object
DFSClient configuration.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DfsClientConf.ShortCircuitConf`
  Configuration for short-circuit reads.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DfsClientConf(org.apache.hadoop.conf.Configuration conf)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.util.DataChecksum`
  `createChecksum(org.apache.hadoop.fs.Options.ChecksumOpt userOpt)`
  create a DataChecksum with the given option.
  `int`
  `getBlockWriteLocateFollowingInitialDelayMs()`
  `int`
  `getBlockWriteLocateFollowingMaxDelayMs()`
  `org.apache.hadoop.fs.Options.ChecksumCombineMode`
  `getChecksumCombineMode()`
  `int`
  `getChecksumEcSocketTimeout()`
  `static org.apache.hadoop.fs.Options.ChecksumOpt`
  `getChecksumOptFromConf(org.apache.hadoop.conf.Configuration conf)`
  `int`
  `getClientShortCircuitNum()`
  `long`
  `getDatanodeRestartTimeout()`
  `int`
  `getDatanodeSocketWriteTimeout()`
  `boolean`
  `getDataTransferTcpNoDelay()`
  `long`
  `getDefaultBlockSize()`
  `org.apache.hadoop.fs.Options.ChecksumOpt`
  `getDefaultChecksumOpt()`
  `short`
  `getDefaultReplication()`
  `long`
  `getExcludedNodesCacheExpiry()`
  `int`
  `getFailoverSleepBaseMillis()`
  `int`
  `getFailoverSleepMaxMillis()`
  `int`
  `getHdfsTimeout()`
  `int`
  `getHedgedReadThreadpoolSize()`
  `long`
  `getHedgedReadThresholdMillis()`
  `int`
  `getIoBufferSize()`
  `long`
  `getleaseHardLimitPeriod()`
  `long`
  `getLocatedBlocksRefresherInterval()`
  `int`
  `getMarkSlowNodeAsBadNodeThreshold()`
  `int`
  `getMaxBlockAcquireFailures()`
  `int`
  `getMaxFailoverAttempts()`
  `int`
  `getMaxPipelineRecoveryRetries()`
  `int`
  `getMaxRetryAttempts()`
  `int`
  `getNumBlockWriteLocateFollowingRetry()`
  `int`
  `getNumBlockWriteRetry()`
  `int`
  `getNumCachedConnRetry()`
  `long`
  `getPrefetchSize()`
  `boolean`
  `getRecoverLeaseOnCloseException()`
  `List<Class<? extends ReplicaAccessorBuilder>>`
  `getReplicaAccessorBuilderClasses()`
  `int`
  `getRetryIntervalForGetLastBlockLength()`
  `int`
  `getRetryTimesForGetLastBlockLength()`
  `DfsClientConf.ShortCircuitConf`
  `getShortCircuitConf()`
  `long`
  `getSlowIoWarningThresholdMs()`
  `int`
  `getSocketSendBufferSize()`
  `int`
  `getSocketTimeout()`
  `int`
  `getStripedReadThreadpoolSize()`
  `String`
  `getTaskId()`
  `int`
  `getTimeWindow()`
  `org.apache.hadoop.fs.permission.FsPermission`
  `getUMask()`
  `ByteArrayManager.Conf`
  `getWriteByteArrayManagerConf()`
  `int`
  `getWriteMaxPackets()`
  `int`
  `getWritePacketSize()`
  `boolean`
  `isConnectToDnViaHostname()`
  `boolean`
  `isDeadNodeDetectionEnabled()`
  `boolean`
  `isLocatedBlocksRefresherEnabled()`
  `boolean`
  `isReadUseCachePriority()`
  `boolean`
  `isRefreshReadBlockLocationsAutomatically()`
  `boolean`
  `isUriCacheEnabled()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DfsClientConf

    public DfsClientConf(org.apache.hadoop.conf.Configuration conf)

- ## Method Details

  - ### getChecksumOptFromConf

    public static org.apache.hadoop.fs.Options.ChecksumOpt getChecksumOptFromConf(org.apache.hadoop.conf.Configuration conf)

  - ### createChecksum

    public org.apache.hadoop.util.DataChecksum createChecksum(org.apache.hadoop.fs.Options.ChecksumOpt userOpt)
    create a DataChecksum with the given option.

  - ### getBlockWriteLocateFollowingInitialDelayMs

    @VisibleForTesting public int getBlockWriteLocateFollowingInitialDelayMs()

  - ### getBlockWriteLocateFollowingMaxDelayMs

    public int getBlockWriteLocateFollowingMaxDelayMs()

  - ### getHdfsTimeout

    public int getHdfsTimeout()
    Returns:
      the hdfsTimeout

  - ### getMaxFailoverAttempts

    public int getMaxFailoverAttempts()
    Returns:
      the maxFailoverAttempts

  - ### getMaxRetryAttempts

    public int getMaxRetryAttempts()
    Returns:
      the maxRetryAttempts

  - ### getFailoverSleepBaseMillis

    public int getFailoverSleepBaseMillis()
    Returns:
      the failoverSleepBaseMillis

  - ### getFailoverSleepMaxMillis

    public int getFailoverSleepMaxMillis()
    Returns:
      the failoverSleepMaxMillis

  - ### getMaxBlockAcquireFailures

    public int getMaxBlockAcquireFailures()
    Returns:
      the maxBlockAcquireFailures

  - ### getDatanodeSocketWriteTimeout

    public int getDatanodeSocketWriteTimeout()
    Returns:
      the datanodeSocketWriteTimeout

  - ### getIoBufferSize

    public int getIoBufferSize()
    Returns:
      the ioBufferSize

  - ### getDefaultChecksumOpt

    public org.apache.hadoop.fs.Options.ChecksumOpt getDefaultChecksumOpt()
    Returns:
      the defaultChecksumOpt

  - ### getChecksumCombineMode

    public org.apache.hadoop.fs.Options.ChecksumCombineMode getChecksumCombineMode()
    Returns:
      the checksumCombineMode

  - ### getChecksumEcSocketTimeout

    public int getChecksumEcSocketTimeout()
    Returns:
      the checksumEcSocketTimeout

  - ### getWritePacketSize

    public int getWritePacketSize()
    Returns:
      the writePacketSize

  - ### getWriteMaxPackets

    public int getWriteMaxPackets()
    Returns:
      the writeMaxPackets

  - ### getWriteByteArrayManagerConf

    public ByteArrayManager.Conf getWriteByteArrayManagerConf()
    Returns:
      the writeByteArrayManagerConf

  - ### getDataTransferTcpNoDelay

    public boolean getDataTransferTcpNoDelay()
    Returns:
      whether TCP_NODELAY should be set on client sockets

  - ### getSocketTimeout

    public int getSocketTimeout()
    Returns:
      the socketTimeout

  - ### getSocketSendBufferSize

    public int getSocketSendBufferSize()
    Returns:
      the socketSendBufferSize

  - ### getExcludedNodesCacheExpiry

    public long getExcludedNodesCacheExpiry()
    Returns:
      the excludedNodesCacheExpiry

  - ### getTimeWindow

    public int getTimeWindow()
    Returns:
      the timeWindow

  - ### getNumCachedConnRetry

    public int getNumCachedConnRetry()
    Returns:
      the numCachedConnRetry

  - ### getNumBlockWriteRetry

    public int getNumBlockWriteRetry()
    Returns:
      the numBlockWriteRetry

  - ### getNumBlockWriteLocateFollowingRetry

    public int getNumBlockWriteLocateFollowingRetry()
    Returns:
      the numBlockWriteLocateFollowingRetry

  - ### getDefaultBlockSize

    public long getDefaultBlockSize()
    Returns:
      the defaultBlockSize

  - ### getPrefetchSize

    public long getPrefetchSize()
    Returns:
      the prefetchSize

  - ### isUriCacheEnabled

    public boolean isUriCacheEnabled()
    Returns:
      the uriCacheEnable

  - ### getDefaultReplication

    public short getDefaultReplication()
    Returns:
      the defaultReplication

  - ### getTaskId

    public String getTaskId()
    Returns:
      the taskId

  - ### getUMask

    public org.apache.hadoop.fs.permission.FsPermission getUMask()
    Returns:
      the uMask

  - ### isConnectToDnViaHostname

    public boolean isConnectToDnViaHostname()
    Returns:
      the connectToDnViaHostname

  - ### getRetryTimesForGetLastBlockLength

    public int getRetryTimesForGetLastBlockLength()
    Returns:
      the retryTimesForGetLastBlockLength

  - ### getRetryIntervalForGetLastBlockLength

    public int getRetryIntervalForGetLastBlockLength()
    Returns:
      the retryIntervalForGetLastBlockLength

  - ### getDatanodeRestartTimeout

    public long getDatanodeRestartTimeout()
    Returns:
      the datanodeRestartTimeout

  - ### getSlowIoWarningThresholdMs

    public long getSlowIoWarningThresholdMs()
    Returns:
      the slowIoWarningThresholdMs

  - ### getMarkSlowNodeAsBadNodeThreshold

    public int getMarkSlowNodeAsBadNodeThreshold()
    Returns:
      the continuous slowNode replies received to mark slowNode as badNode

  - ### getClientShortCircuitNum

    public int getClientShortCircuitNum()

  - ### getHedgedReadThresholdMillis

    public long getHedgedReadThresholdMillis()
    Returns:
      the hedgedReadThresholdMillis

  - ### getHedgedReadThreadpoolSize

    public int getHedgedReadThreadpoolSize()
    Returns:
      the hedgedReadThreadpoolSize

  - ### getStripedReadThreadpoolSize

    public int getStripedReadThreadpoolSize()
    Returns:
      the stripedReadThreadpoolSize

  - ### isDeadNodeDetectionEnabled

    public boolean isDeadNodeDetectionEnabled()
    Returns:
      the deadNodeDetectionEnabled

  - ### getleaseHardLimitPeriod

    public long getleaseHardLimitPeriod()
    Returns:
      the leaseHardLimitPeriod

  - ### isReadUseCachePriority

    public boolean isReadUseCachePriority()
    Returns:
      the readUseCachePriority

  - ### getReplicaAccessorBuilderClasses

    public List<Class<? extends ReplicaAccessorBuilder>> getReplicaAccessorBuilderClasses()
    Returns:
      the replicaAccessorBuilderClasses

  - ### isLocatedBlocksRefresherEnabled

    public boolean isLocatedBlocksRefresherEnabled()

  - ### getLocatedBlocksRefresherInterval

    public long getLocatedBlocksRefresherInterval()

  - ### isRefreshReadBlockLocationsAutomatically

    public boolean isRefreshReadBlockLocationsAutomatically()

  - ### getShortCircuitConf

    public DfsClientConf.ShortCircuitConf getShortCircuitConf()
    Returns:
      the shortCircuitConf

  - ### getMaxPipelineRecoveryRetries

    public int getMaxPipelineRecoveryRetries()
    Returns:
      the maxPipelineRecoveryRetries

  - ### getRecoverLeaseOnCloseException

    public boolean getRecoverLeaseOnCloseException()